/// <summary> /// Create a View from a user selected Element. /// </summary> /// <param name="pt"></param> /// <param name="isRevitOwned"></param> /// <returns></returns> internal static DraftingView FromExisting(Autodesk.Revit.DB.ViewDrafting view, bool isRevitOwned) { return(new DraftingView(view) { IsRevitOwned = isRevitOwned }); }
public static DraftingView Wrap(Autodesk.Revit.DB.ViewDrafting view, bool isRevitOwned) { return(DraftingView.FromExisting(view, isRevitOwned)); }
/// <summary> /// Set the InternalViewDrafting property and the associated element id and unique id /// </summary> /// <param name="floor"></param> private void InternalSetDraftingView(Autodesk.Revit.DB.ViewDrafting floor) { this.InternalViewDrafting = floor; this.InternalElementId = floor.Id; this.InternalUniqueId = floor.UniqueId; }
/// <summary> /// Private constructor /// </summary> private DraftingView(Autodesk.Revit.DB.ViewDrafting view) { InternalSetDraftingView(view); }
/// <summary> /// Private constructor /// </summary> private DraftingView(Autodesk.Revit.DB.ViewDrafting view) { SafeInit(() => InitDraftingView(view)); }